Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt
Class InvalidUsernameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.usermgmt.InvalidUsernameException

All Implemented Interfaces
  Serializable

    public class InvalidUsernameException

extends ApplicationException

Application exception class that will be thrown when an attempt is made to create a user with an invalid username

See Also
  Serialized Form

Constructor Summary
`InvalidUsernameException()`
`InvalidUsernameException(String message)` Constructor
`InvalidUsernameException(String message, Throwable t)` Constructor
`InvalidUsernameException(Throwable t)` Constructor

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidUsernameException

    public InvalidUsernameException()

### InvalidUsernameException

    public InvalidUsernameException(String message)

  Constructor

  Parameters
    `message` - String representing the Exception message

### InvalidUsernameException

    public InvalidUsernameException(String message,
                                    Throwable t)

  Constructor

  Parameters
    `message` - String representing the Exception message
    `t` - Throwable object representing the wrapped or chained exception

### InvalidUsernameException

    public InvalidUsernameException(Throwable t)

  Constructor

  Parameters
    `t` - Throwable object representing the wrapped or chained exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.